
Katello - Bug #4696

hammer CLI with latest nightly build does not show katello related commands

03/19/2014 05:04 AM - Mike McCune

Status: Closed   

Priority: High   
Target version: Katello 2.0   
Triaged: Yes Found in Releases:  
Pull request:    

Description

updated to the latest nightly build of rubygem-hammer_cli_katello-0.0.3-1.201403182248git62f913f.git.0.087e5ab.el6.noarch

updated the cli_config.yaml:

/etc/foreman/cli_config.yml

:modules:

- hammer_cli_foreman

- hammer_cli_katello

running hammer only shows Foreman commands:

1. hammer

Warning: An error occured while loading module hammer_cli_katello

Usage:

hammer [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:

SUBCOMMAND                    subcommand

[ARG] ...                     subcommand arguments

Subcommands:

shell                         Interactive shell

global_parameter              Manipulate global parameters.

architecture                  Manipulate architectures.

compute_resource              Manipulate compute resources.

domain                        Manipulate domains.

sc_param                      Manipulate smart class parameters.

environment                   Manipulate environments.

fact                          Search facts.

report                        Browse and read reports.

puppet_class                  Search puppet modules.

host                          Manipulate hosts.

hostgroup                     Manipulate hostgroups.

location                      Manipulate locations.

medium                        Manipulate installation media.

model                         Manipulate hardware models.

os                            Manipulate operating system.

organization                  Manipulate organizations.

partition_table               Manipulate partition tables.

proxy                         Manipulate smart proxies.

subnet                        Manipulate subnets.

template                      Manipulate config templates.

user                          Manipulate users.
#1 - 03/19/2014 01:54 PM - Mike McCune

more verbose error:

1. hammer -v

[ERROR 2014-03-19 06:53:54 Modules] Error while loading module hammer_cli_katello

[ERROR 2014-03-19 06:53:54 Modules] <NameError> uninitialized constant HammerCLIForeman::ReadCommand

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman_tasks-0.0.1/lib/hammer_cli_foreman_tasks/task.rb:3

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman_tasks-0.0.1/lib/hammer_cli_foreman_tasks.rb:5

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.3/lib/hammer_cli_katello.rb:6

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/modules.rb:47:in `require_module'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/modules.rb:24:in `load!'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/modules.rb:41:in `load'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/modules.rb:52:in `load_all'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/modules.rb:51:in `each'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/modules.rb:51:in `load_all'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/bin/hammer:54

/usr/bin/hammer:19:in `load'

/usr/bin/hammer:19

Warning: An error occured while loading module hammer_cli_katello

Usage:

#2 - 03/19/2014 02:38 PM - Og Maciel

A package that seems to have regressed (as in its versions are now older than what it should be):

rubygem-hammer_cli-0.0.18-1.el6.noarch should be at least rubygem-hammer_cli-0.0.18-6.el6sat.noarch or better

#3 - 03/19/2014 02:52 PM - Garik Khachikyan

cc-ed

#4 - 03/20/2014 03:29 PM - Anonymous

This is probably due to the new dependencies that we could not get added to the rpm spec in the foreman-packaging repo. We need somewhere to

pull an updated rpm spec file from with the new dependencies or it will remain broken.

In the short term you should be able to yum install rubygem-locale from epel, get fast_gettext here (if not just a yum install from the foreman repo): 

http://koji.katello.org/koji/buildinfo?buildID=8697, apipie-bindings here: http://koji.katello.org/koji/buildinfo?buildID=8718, and i18n for apipie-bindings

here: http://koji.katello.org/koji/buildinfo?buildID=8716

After those 4 are installed you may also have to do 'foreman-rake apipie:cache' before it will actually work.

I did a PR to get fast_gettext added to the comps file for foreman earlier this week. I'll take care of apipie-bindings now, but mbacovsk was just saying

the i18n dep for apipie-bindings should go away very soon so I'm not sure it's worth adding it at all.

#5 - 03/24/2014 04:34 AM - Mike McCune

- Triaged set to Yes

#6 - 04/01/2014 04:22 PM - Adam Price

- Status changed from New to Ready For Testing

#7 - 04/01/2014 05:15 PM - Mike McCune

- Status changed from Ready For Testing to Closed

works perfectly now

#8 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13
